<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android">
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW" />
    <uses-permission android:name="android.permission.SYSTEM_OVERLAY_WINDOW" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WRITE_INTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_INTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_CONTACTS"/>
        <uses-permission android:name="android.permission.CALL_PHONE"/>
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS" />
    <uses-permission android:name="android.permission.RECORD_AUDIO"/>
    <uses-feature android:name="android.hardware.camera.front" />
    <application
        android:allowBackup="true"
        android:icon="@mipmap/app_logo"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/app_logo"
        android:supportsRtl="true"
        android:name=".InitApp"
        android:largeHeap="true"
        android:networkSecurityConfig="@xml/network_security_config"
        android:requestLegacyExternalStorage="true"
        android:usesCleartextTraffic="true"
        android:theme="@style/AppThemeLogin">
        <activity
            android:name=".StartupActivity"
            android:theme="@style/AppThemeLogin1"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <activity
            android:name=".LoginActivity"
            android:theme="@style/AppThemeLogin1"
            android:windowSoftInputMode="adjustPan|stateHidden"
            android:exported="true">

        </activity>
        <activity
            android:name=".MainActivity"
            android:exported="true">

        </activity>

        <activity
            android:name=".RegActivity"
            android:theme="@style/AppThemeLogin1"
            android:windowSoftInputMode="adjustPan|stateHidden"
            android:exported="true">

        </activity>

        <activity
            android:name=".ShenQingActivity"
            android:theme="@style/AppThemeLogin2"

            android:exported="true">

        </activity>
        <activity
            android:name=".EditUserActivity"
            android:windowSoftInputMode="adjustPan|stateHidden"
            android:theme="@style/AppThemeLogin2"
            android:exported="true">

        </activity>
        <activity
            android:name=".AboutUsActivity"
            android:theme="@style/AppThemeLogin2"

            android:exported="true">

        </activity>
        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="com.dskj.trustlend.fileprovider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/file_paths" />
        </provider>
    </application>

</manifest>